FROM dockerhub.greensight.ru/ensi-tech/node-base-image:12-2021apr23-1

COPY package.json yarn.lock .yarnrc.yml ./
COPY .yarn .yarn

RUN yarn install

COPY .eslintrc.js .prettierrc.js babel.config.js newrelic.js tsconfig.json tsconfig.server.json webpack.config.ts .env* ./
COPY config config
COPY .storybook .storybook
COPY stories stories
COPY public public
COPY src src

RUN yarn prod:build

EXPOSE 3000

CMD ["yarn", "prod:serve"]